import java.util.Iterator;
import java.util.NoSuchElementException;

/**
   Give the iterator an ending value.
*/
public class It2 implements Iterator<Integer>
{
  private int start;
  private int end;

  public It2(int x, int y)
  {
    start = x;
    end = y;
  }

  public boolean hasNext()
  {
    return start <= end;
  }

  public Integer next()
  {
    if ( ! this.hasNext() )
       throw new NoSuchElementException();

    int result = start;
    start++;
    return result;
  }

  public void remove()
  {
    throw new UnsupportedOperationException ();
  }
}
